'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgDesignServices = function SvgDesignServices(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M20.71 5.629c.39.39.39 1.02 0 1.41l-1.83 1.83-3.75-3.75 1.83-1.83c.29-.29.94-.47 1.41 0zm-2.9 4.31-1.57 1.57 4.13 4.13c.78.78.78 2.05 0 2.83l-1.9 1.9c-.6.6-1.88.95-2.83 0l-4.13-4.13-4.76 4.76H3v-3.75l4.75-4.76-4.13-4.13c-.78-.78-.78-2.05 0-2.83l1.9-1.9c.78-.78 2.05-.78 2.83 0l4.14 4.13 1.57-1.57zm-12.77-3 4.14 4.13 1.89-1.9-1.45-1.45-1.19 1.19-1.41-1.41 1.18-1.19-1.27-1.27zm7.89 7.89 4.13 4.13 1.9-1.9-1.27-1.27-1.19 1.19-1.41-1.41 1.19-1.19-1.45-1.45z",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgDesignServices;
